#pragma once

#include "CoreMinimal.h"
#include "GenericPopupViewData.h"
#include "LeaveMatchPopupViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API ULeaveMatchPopupViewData : public UGenericPopupViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	bool isSurrenderMatch;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText keepMessage;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText loseMessage;

public:
	ULeaveMatchPopupViewData();
};

FORCEINLINE uint32 GetTypeHash(const ULeaveMatchPopupViewData) { return 0; }
